Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::PL_approximation< Function_, Triangulation_ > Class Template Reference

Constructs a piecewise-linear approximation of a function induced by an ambient triangulation. More...

`#include <include/gudhi/Functions/PL_approximation.h>`

## Public Member Functions

Eigen::VectorXd | operator() (const Eigen::VectorXd &p) const
| Value of the function at a specified point.
std::size_t | amb_d () const
| Returns the domain (ambient) dimension.
std::size_t | cod_d () const
| Returns the codomain dimension.
Eigen::VectorXd | seed () const
| Returns a point on the zero-set.
| PL_approximation (const Function_ &function, const Triangulation_ &triangulation)
| Constructor of the piecewise-linear approximation of a function induced by an ambient triangulation.

## Detailed Description

template<class Function_, class Triangulation_>
class Gudhi::coxeter_triangulation::PL_approximation< Function_, Triangulation_ >

Constructs a piecewise-linear approximation of a function induced by an ambient triangulation.

Template Parameters

  Function_ | The function template parameter. Should be a model of the concept FunctionForImplicitManifold.
  Triangulation | The triangulation template parameter. Should be a model of the concept TriangulationForManifoldTracing.

## Constructor & Destructor Documentation

## PL_approximation()

template<class Function_, class Triangulation_>

Gudhi::coxeter_triangulation::PL_approximation< Function_, Triangulation_ >::PL_approximation | ( | const Function_ & | function,
|  | const Triangulation_ & | triangulation )

inline

Constructor of the piecewise-linear approximation of a function induced by an ambient triangulation.

Parameters

  [in] | function | The function.
  [in] | triangulation | The ambient triangulation.

## Member Function Documentation

## operator()()

template<class Function_, class Triangulation_>

Eigen::VectorXd Gudhi::coxeter_triangulation::PL_approximation< Function_, Triangulation_ >::operator() | ( | const Eigen::VectorXd & | p | ) | const

inline

Value of the function at a specified point.

Parameters

  [in] | p | The input point. The dimension needs to coincide with the ambient dimension.

The documentation for this class was generated from the following file:

- include/gudhi/Functions/PL_approximation.h